CollectionsHosted PaymentsTracked Payment QR Codes

List tracked QR code payments

Retrieves the list of tracked QR code payments. This API only supports PayNow in Singapore.

GET
/v1/tracked-payment-qr-codes

Authorization

authorization
AuthorizationBearer <token>

Set Your Secret API Key

In: header

Query Parameters

after?string
limit?integer
Formatint32
order?string

Value in

  • "ASC"
  • "DESC"

Response Body

*/*

application/json

application/json

curl -X GET "https://example.com/v1/tracked-payment-qr-codes"

One page of tracked QR codes.

{
  "data": [
    {
      "id": "qrpymt_0J7QB3YB2P791",
      "status": "SUCCEEDED",
      "type": "PAYNOW",
      "proxyType": "UEN",
      "proxyValue": "202303536E",
      "amount": 1250,
      "currency": "SGD",
      "expirySeconds": 900,
      "transactionReference": "QR-10042",
      "amountEditable": false,
      "qrCodeImageUrl": "https://acme-paynow-qr-code.s3.ap-southeast-1.amazonaws.com/qr/QR-10042.png",
      "resultCode": null,
      "underlyingResultCode": null,
      "underlyingResultDescription": null,
      "bankReference": "20260909UOVBSGSGBRT3721482",
      "bankAccount": {
        "id": "intacc_0H3BQY9BK1FCG",
        "bank": "UOVBSGSGXXX",
        "bankAccountNumber": "0052312891"
      },
      "statusSource": "txn_0J7QB5RNT8ZJE",
      "createdAt": "2026-09-09T07:21:19.281000Z",
      "updatedAt": "2026-09-09T07:34:31.767000Z"
    },
    {
      "id": "qrpymt_0J7QB3YB2P791",
      "status": "PENDING",
      "type": "PAYNOW",
      "proxyType": "UEN",
      "proxyValue": "202303536E",
      "amount": 1250,
      "currency": "SGD",
      "expirySeconds": 900,
      "transactionReference": "QR-10042",
      "amountEditable": false,
      "qrCodeImageUrl": "https://acme-paynow-qr-code.s3.ap-southeast-1.amazonaws.com/qr/QR-10042.png",
      "resultCode": null,
      "underlyingResultCode": null,
      "underlyingResultDescription": null,
      "bankReference": null,
      "bankAccount": {
        "id": "intacc_0H3BQY9BK1FCG",
        "bank": "UOVBSGSGXXX",
        "bankAccountNumber": "0052312891"
      },
      "statusSource": null,
      "createdAt": "2026-09-09T07:21:19.281000Z",
      "updatedAt": "2026-09-09T07:21:19.281000Z"
    }
  ],
  "hasMore": false
}